Skip to main content
GET
/
v1
/
pix-automatico
/
schedules
/
{endToEndId}
Consult a Pix Automático schedule situation
curl --request GET \
  --url https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://plugin-pix-direct.api.lerian.net/v1/pix-automatico/schedules/{endToEndId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "debtor": {
    "cpfCnpj": "<string>",
    "name": "<string>",
    "personType": 123
  },
  "endToEndId": "<string>",
  "idRecorrencia": "<string>",
  "localStatus": "<string>",
  "localStatusKnown": true,
  "payer": {
    "account": "<string>",
    "accountType": 123,
    "agency": "<string>",
    "cnpj": "<string>",
    "cpfCnpj": "<string>",
    "ispb": "<string>",
    "name": "<string>",
    "personType": 123
  },
  "recipient": {
    "account": "<string>",
    "accountType": 123,
    "agency": "<string>",
    "cnpj": "<string>",
    "cpfCnpj": "<string>",
    "ispb": "<string>",
    "name": "<string>",
    "personType": 123
  },
  "scheduleStatus": 123,
  "stJdPi": 123,
  "stJdPiProc": 123,
  "acceptRejectAt": "<string>",
  "amount": 123,
  "cancellations": [
    {
      "cancelStatus": 123,
      "cancelledAt": "<string>",
      "idCancelamento": "<string>",
      "reason": 123,
      "recipientIspb": "<string>",
      "requesterDocument": "<string>",
      "requesterIspb": "<string>",
      "requesterType": 123,
      "errorCode": "<string>",
      "errorDesc": "<string>"
    }
  ],
  "dueDate": "<string>",
  "errorCode": "<string>",
  "errorDesc": "<string>",
  "infoBetweenClients": "<string>",
  "purpose": 123,
  "recipientReceivedAt": "<string>",
  "reconciliationId": "<string>",
  "requestedAt": "<string>",
  "situationAt": "<string>"
}
{
"code": "<string>",
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Obtain token from /v1/login/oauth/access_token endpoint using client credentials (clientId and clientSecret).

Include token in Authorization header: Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...

Token expires after 3600 seconds (1 hour).

Path Parameters

endToEndId
string
required

The payment-transaction id (32-char).

Response

OK

debtor
object
required
endToEndId
string
required

The payment-transaction id (32-char).

idRecorrencia
string
required

The recurrence id (RR...).

localStatus
string
required

Local ScheduleStatus projected from the upstream situation.

localStatusKnown
boolean
required

False when the upstream situation carries no projected local status.

payer
object
required
recipient
object
required
scheduleStatus
integer<int64>
required

stAgendamento (0=Aceito, 1=Rejeitado; -1 when absent).

stJdPi
integer<int64>
required

Upstream overall situation (-1/0/9/10/11).

stJdPiProc
integer<int64>
required

Upstream intermediate situation (0/1/2/5/7/8/9/10/11).

acceptRejectAt
string

Accept/reject timestamp (dtHrAceiteRejeite, UTC).

amount
number<double>

Scheduled amount in reais.

cancellations
object[] | null

Cancellation history (cancelamento).

dueDate
string

Due date (aaaa-mm-dd).

errorCode
string

Upstream error code.

errorDesc
string

Upstream error description.

infoBetweenClients
string

Free-text receiver-to-payer info.

purpose
integer<int64>

finalidadeAgendamento.

recipientReceivedAt
string

Recipient PSP reception timestamp (UTC).

reconciliationId
string

The receiver conciliation id.

requestedAt
string

Upstream request timestamp (UTC).

situationAt
string

Situation timestamp (dtHrSituacao, UTC).